# Validate Address

Permite consultar al servicio externo si una dirección en particular es admitida como destino de entrega. Si la respuesta indica que la dirección no es admitida se ocultará la opción de envío en el proceso de compra.

Al implementar este servicio se deberá tener en consideración que los tiempos de respuesta sean adecuados para no afectar la experiencia del usuario, ya que es una solicitud que se realiza en el proceso de compra

<table><thead><tr><th width="122">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/validateAddress</td></tr></tbody></table>

## Request

<table><thead><tr><th width="171">Clave</th><th width="147">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>address</code></strong></td><td>&#x3C;<a href="/pages/T0m9j7uQb1KH8GC0gbrx#address"><strong>Address</strong></a>></td><td>Datos de la dirección.</td></tr><tr><td><strong><code>fromAddress</code></strong></td><td>&#x3C;<a href="/pages/T0m9j7uQb1KH8GC0gbrx#address"><strong>Address</strong></a>></td><td>Datos de la dirección de retiro.</td></tr><tr><td><strong><code>serviceType</code></strong></td><td>&#x3C;<a href="/pages/LjX6E6o8pT0EpYonxgLH#service-type"><strong>ServiceType</strong></a>></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="161">Clave</th><th width="128">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>isValid</code></strong></td><td>Boolean</td><td>Indica si la dirección enviada es un destino de entrega válido.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/validate-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
